LibreOffice LibreOffice 26.2 SDK API Reference

Exported Interfaces | Public Attributes | List of all members
XLinguProperties Interface Referencepublished

Interface for LinguProperties service. More...

`import"XLinguProperties.idl";`

Inheritance diagram for XLinguProperties:

## Exported Interfaces
interface | com::sun::star::beans::XPropertySet
| Gives access to the properties. More...

## Public Attributes
boolean | IsUseDictionaryList
| defines if the dictionary-list should be used for spell checking and hyphenation or not. More...
boolean | IsIgnoreControlCharacters
| defines if control characters should be ignored or not, by the linguistic (i.e., spell checker, hyphenator and thesaurus). More...
boolean | IsSpellUpperCase
| defines if words with only uppercase letters should be subject to spell checking or not. More...
boolean | IsSpellWithDigits
| defines if words containing digits (or numbers) should be subject to spell checking or not. More...
boolean | IsSpellCapitalization
| defines if the capitalization of words should be checked or not. More...
short | HyphMinLeading
| the minimum number of characters of a word to remain before the hyphen when doing hyphenation. More...
short | HyphMinTrailing
| the minimum number of characters of a word to remain after the hyphen when doing hyphenation. More...
short | HyphMinWordLength
| the minimum length of a word in order to be hyphenated. More...
com::sun::star::lang::Locale | DefaultLocale
| the default western language for new documents. More...
boolean | IsHyphAuto
| defines whether interactive hyphenation should be performed without requiring the user to select every hyphenation position after the user has triggered the hyphenation. More...
boolean | IsHyphSpecial
| defines whether hyphenation should be done in special regions of documents or not. More...
boolean | IsSpellAuto
| indicates whether spell checking should be done automatically or not. More...
boolean | IsSpellSpecial
| defines whether spell checking should be done in special regions of documents or not. More...
boolean | IsWrapReverse
| defines whether spell checking should be done in reverse direction or not. More...
com::sun::star::lang::Locale | DefaultLocale_CJK
| the default language for CJK languages. More...
com::sun::star::lang::Locale | DefaultLocale_CTL
| the default language for CTL languages. More...

## Additional Inherited Members
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface for LinguProperties service.

Since
  LibreOffice 4.1

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

Gives access to the properties.

Among those properties are:

- boolean IsSpellClosedCompound defines whether spell checking should be accept rule-based closed compounding of dictionary words. Since LibreOffice 7.6.
- boolean IsSpellHyphenatedCompound defines whether spell checking should be accept rule-based hyphenated compounding of dictionary words. Since LibreOffice 7.6.

## Member Data Documentation

## ◆ DefaultLocale

com::sun::star::lang::Locale DefaultLocale
| attribute

the default western language for new documents.

## ◆ DefaultLocale_CJK

com::sun::star::lang::Locale DefaultLocale_CJK
| attribute

the default language for CJK languages.

## ◆ DefaultLocale_CTL

com::sun::star::lang::Locale DefaultLocale_CTL
| attribute

the default language for CTL languages.

## ◆ HyphMinLeading

short HyphMinLeading
| attribute

the minimum number of characters of a word to remain before the hyphen when doing hyphenation.

## ◆ HyphMinTrailing

short HyphMinTrailing
| attribute

the minimum number of characters of a word to remain after the hyphen when doing hyphenation.

## ◆ HyphMinWordLength

short HyphMinWordLength
| attribute

the minimum length of a word in order to be hyphenated.

## ◆ IsHyphAuto

boolean IsHyphAuto
| attribute

defines whether interactive hyphenation should be performed without requiring the user to select every hyphenation position after the user has triggered the hyphenation.

## ◆ IsHyphSpecial

boolean IsHyphSpecial
| attribute

defines whether hyphenation should be done in special regions of documents or not.

## ◆ IsIgnoreControlCharacters

boolean IsIgnoreControlCharacters
| attribute

defines if control characters should be ignored or not, by the linguistic (i.e., spell checker, hyphenator and thesaurus).

## ◆ IsSpellAuto

boolean IsSpellAuto
| attribute

indicates whether spell checking should be done automatically or not.

## ◆ IsSpellCapitalization

boolean IsSpellCapitalization
| attribute

defines if the capitalization of words should be checked or not.

Deprecated:

## ◆ IsSpellSpecial

boolean IsSpellSpecial
| attribute

defines whether spell checking should be done in special regions of documents or not.

## ◆ IsSpellUpperCase

boolean IsSpellUpperCase
| attribute

defines if words with only uppercase letters should be subject to spell checking or not.

## ◆ IsSpellWithDigits

boolean IsSpellWithDigits
| attribute

defines if words containing digits (or numbers) should be subject to spell checking or not.

## ◆ IsUseDictionaryList

boolean IsUseDictionaryList
| attribute

defines if the dictionary-list should be used for spell checking and hyphenation or not.

## ◆ IsWrapReverse

boolean IsWrapReverse
| attribute

defines whether spell checking should be done in reverse direction or not.

The documentation for this interface was generated from the following file:

- com/sun/star/linguistic2/XLinguProperties.idl